All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.util
Class ParameterBag

    com.sas.util.ParameterBag

All Implemented Interfaces:
  com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, PropertyBagChangedSource, PropertyBagInterface, StaticPropertyBagInterface, ComponentInterface, LinkPropertiesInterface, ModelInterface, com.sas.PropertyValueQueryInterface, com.sas.PublicClonable, com.sas.util.Countable, DynamicBeanInfoInterface, UserCodeGenClassInterface, ViewInterface, MultipleValueEventSourceInterface, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.lang.Cloneable, java.util.EventListener

    public class ParameterBag

This class represents the parameters that can be passed to an application (via command line arguments) or applet (via HTML PARAM tags)

See Also:
  Serialized Form

Constructor Summary
`ParameterBag()`

Method Summary
`static com.sas.beans.ExtendedBeanInfo` | `getExtendedBeanInfo()`
`java.lang.String` | `getUserCodeGenClass()` Gets the class that will be loaded and called during code generation.

Methods inherited from class com.sas.util.DynamicPropertyBag
`addPropertyBagChangedListener, clone, containsKey, count, get, get, getBeanInfo, getPropertyType, getPropertyValue, listKeys, merge, remove, removeAll, removePropertyBagChangedListener, set, set, setPropertyValue, toDictionary`

Methods inherited from class com.sas.Component
`addLink, addPropertyChangeListener, addVetoableChangeListener, anyPropertyChangeListeners, attachModel, attachView, beansIsDesignTime, beansSetDesignTime, clone, detachModel, detachView, dumpComponent, firePropertyChange, firePropertyChange, fireVetoableChange, getComponentDescription, getComponentSupportInfo, getEventMethod, getEventValues, getLinkInfo, getModelInterface, getRequiredInterfaces, getResources, getStringResource, getViewInterfaceSupportInfo, initialize, initializeComponent, isDesignTime, isLinked, propertyChange, queryLinks, queryLinks, refresh, removeAllLinks, removeInterfaceTraps, removeLink, removePropertyChangeListener, removeVetoableChangeListener, setComponentDescription, setComponentSupportInfo, setDefaultValues, setLinkInfo, setModelInterface, setRequiredInterfaces, setViewInterfaceSupportInfo, supportsListenerInterface, supportsRequiredInterfaces, trapInterfaceEvents, validateObject`

Methods inherited from interface com.sas.util.DynamicBeanInfoInterface
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### ParameterBag

    public ParameterBag()

Method Detail

### getUserCodeGenClass

    public java.lang.String getUserCodeGenClass()

  Gets the class that will be loaded and called during code generation. This class must implement com.sas.ide.CodeGen.UserCodeGenInterface.

  Returns:
    The class name

### getExtendedBeanInfo

    public static com.sas.beans.ExtendedBeanInfo getExtendedBeanInfo()

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.